EZ_ClearListBox(3)

NAME
EZ_ClearListBox, EZ_DeleteListBoxItem, EZ_InsertListBoxItem, EZ_ModifyListBoxItem, EZ_AppendListBoxItem EZ_ListBoxSelectItem, EZ_ListBoxSelectItemUsingIdx - listbox editing functions

SYNOPSIS
#include <EZ.h>

void EZ_ClearListBox( EZ_Widget *listbox)
void EZ_DeleteListBoxItem( EZ_Widget *listbox, int idx)
void EZ_InsertListBoxItem( EZ_Widget *listbox, char *str, int idx)
void EZ_ModifyListBoxItem( EZ_Widget * listbox, char *str, int idx)
void EZ_AppendListBoxItem( EZ_Widget * listbox, char *str)
void EZ_ListBoxSelectItem( EZ_Widget *listbox, char *str)
void EZ_ListBoxSelectItemUsingIdx( EZ_Widget *listbox, int idx)

ARGUMENTS
listbox Specifies a listbox widget.

str Specifies a textual string.

idx Specifies an array index.

DESCRIPTION

EZ_ClearListBox clears the listbox.

EZ_DeleteListBoxItem deletes the specified item.

EZ_InsertListBoxItem inserts the given item at the specified position.

EZ_AppendListBoxItem appends str at the end of the list of items in listbox.

EZ_ModifyListBoxItem replaces the item at location idx by str.

EZ_ListBoxSelectItem sets the selection on the specified item. If sucessful, the display will be adjusted so that the selection is visible.

EZ_ListBoxSelectItemUsingIdx behaves the same as EZ_ListBoxSelectItem except that it uses the index instead of the item string.

SEE ALSO
EZ_GetListBoxSelection(3), EZ_SetListBoxItems(3)